[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'db' (#fcl)

# TField.DataSet

Dataset this field belongs to

## Declaration

Source position: db.pas line 400

`public property TField.DataSet: TDataSet read FDataSet write SetDataSet;`

## Description

Dataset contains the dataset this field belongs to. Writing this property will add the field to the list of fields of a dataset, after removing if from the list of fields of the dataset the field was previously assigned to. It should under normal circumstnces never be necessary to set this property, the TDataset code will take care of this.

## See also

TDataset |  | Base class for records-based data-access
TDataset.Fields |  | Indexed access to the fields of the dataset.

The latest version of this document can be found at lazarus-ccr.sourceforge.net.